Name:           collada-dom
Version:        2.3.1
Release:        8%{?dist}
Summary:        COLLADA Document Object Model Library

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.collada.org
Source0:        http://sourceforge.net/projects/collada-dom/files/Collada DOM/Collada DOM 2.3/collada_dom-2.3.1-src.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake, gcc-c++, dos2unix
BuildRequires:  minizip-devel, zlib-devel, boost-devel, libxml2-devel, pcre-devel

%description
COLLADA is a royalty-free XML schema that enables digital asset exchange
within the interactive 3D industry. The COLLADA Document Object Model
(COLLADA DOM) is an application programming interface (API) that provides
a C++ object representation of a COLLADA XML instance document.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
rm -rf dom/external-libs
dos2unix Readme.txt
dos2unix dom/license.txt
dos2unix License_Folder/license_e.txt
dos2unix dom/readme.txt


%build
mkdir build
cd build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=ON \
  ..

make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Readme.txt dom/license.txt License_Folder/license_e.txt dom/readme.txt
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/collada_dom/


%changelog
* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.3.1-8
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.3.1-7
- Rebuild for Boost-1.53.0

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 2.3.1-6
- Rebuild for new boost

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 2.3.1-4
- Rebuild against PCRE 8.30

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 04 2011 Tim Niemueller <tim@niemueller.de> - 2.3.1-2
- Rebuild for new Boost version

* Thu Jul 21 2011 Tim Niemueller <tim@niemueller.de> - 2.3.1-1
- Update to 2.3.1

* Wed Apr 06 2011 Tim Niemueller <tim@niemueller.de> - 2.3-3
- Rebuild for new Boost version

* Fri Mar 25 2011 Tim Niemueller <tim@niemueller.de> - 2.3-2
- Use now-official tarball from project
- Drop upstreamed patch

* Mon Mar 21 2011 Tim Niemueller <tim@niemueller.de> - 2.3-1
- Initial package

